Get Pods
curl --request GET \
--url https://api.primeintellect.ai/api/v1/pods/ \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.primeintellect.ai/api/v1/pods/"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.primeintellect.ai/api/v1/pods/', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.primeintellect.ai/api/v1/pods/",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.primeintellect.ai/api/v1/pods/"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.primeintellect.ai/api/v1/pods/")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.primeintellect.ai/api/v1/pods/")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"data": [
{
"userId": "<string>",
"name": "<string>",
"providerType": "runpod",
"gpuName": "CPU_NODE",
"gpuCount": 1,
"socket": "PCIe",
"priceHr": 1.23,
"id": "<string>",
"teamId": "<string>",
"walletId": "<string>",
"type": "HOSTED",
"status": "PROVISIONING",
"installationStatus": "PENDING",
"installationFailure": "<string>",
"installationProgress": 123,
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z",
"terminatedAt": "2023-11-07T05:31:56Z",
"stoppedPriceHr": 0.005,
"provisioningPriceHr": 0,
"environmentType": "ubuntu_22_cuda_12",
"customTemplateId": "<string>",
"clusterId": "<string>",
"primePortMapping": [],
"sshConnection": "<string>",
"ip": "<string>",
"resources": {
"memory": "128",
"disk": "1000",
"shared_disk": "1000",
"vcpus": "32"
},
"attachedResources": [],
"isSpot": true,
"autoRestart": true
}
],
"total_count": 0,
"offset": 0,
"limit": 100,
"status": "<string>"
}{
"errors": [
{
"param": "<string>",
"details": "<string>"
}
]
}Pods
Get Pods
GET
/
api
/
v1
/
pods
/
Get Pods
curl --request GET \
--url https://api.primeintellect.ai/api/v1/pods/ \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.primeintellect.ai/api/v1/pods/"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.primeintellect.ai/api/v1/pods/', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.primeintellect.ai/api/v1/pods/",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.primeintellect.ai/api/v1/pods/"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.primeintellect.ai/api/v1/pods/")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.primeintellect.ai/api/v1/pods/")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"data": [
{
"userId": "<string>",
"name": "<string>",
"providerType": "runpod",
"gpuName": "CPU_NODE",
"gpuCount": 1,
"socket": "PCIe",
"priceHr": 1.23,
"id": "<string>",
"teamId": "<string>",
"walletId": "<string>",
"type": "HOSTED",
"status": "PROVISIONING",
"installationStatus": "PENDING",
"installationFailure": "<string>",
"installationProgress": 123,
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z",
"terminatedAt": "2023-11-07T05:31:56Z",
"stoppedPriceHr": 0.005,
"provisioningPriceHr": 0,
"environmentType": "ubuntu_22_cuda_12",
"customTemplateId": "<string>",
"clusterId": "<string>",
"primePortMapping": [],
"sshConnection": "<string>",
"ip": "<string>",
"resources": {
"memory": "128",
"disk": "1000",
"shared_disk": "1000",
"vcpus": "32"
},
"attachedResources": [],
"isSpot": true,
"autoRestart": true
}
],
"total_count": 0,
"offset": 0,
"limit": 100,
"status": "<string>"
}{
"errors": [
{
"param": "<string>",
"details": "<string>"
}
]
}Authorizations
Response
Successful Response
Was this page helpful?